import bunyan = require('bunyan');
export declare class IgnoredFilesHandler {
    static readonly SCAN_IGNORE_FILE_NAME: string;
    static readonly GENERATED_IGNORE_FILE_NAME: string;
    private slIgnoreFilePath;
    private outputPath;
    private filename;
    private logger;
    private ignoredPatterns;
    constructor(slIgnoreFilePath: string, outputPath: string, filename: string, logger: bunyan);
    private initIgnorePatterns;
    private getIgnorePatterns;
    private addExcludedPath;
    private getDefaultPattern;
    private readFromNycConfig;
    private readNycConfig;
    private createExcludePatternFromNyc;
    denies(input: any): any;
    accepts(input: any): boolean;
}
