import { IAgentInstanceInfo, IInfoBuilder } from "./agent-events-conracts";
import { AgentEventsController } from "./agent-events-controller";
export declare class AgentInstanceInfoBuilder implements IInfoBuilder<IAgentInstanceInfo> {
    static readonly DEFAULT_BROWSER_AGENT_VERSION: string;
    static readonly SEALIGHTS_WINDOW_OBJECT: string;
    private agentConfig;
    private info;
    private agentId;
    private agentType;
    private tags;
    private tools;
    private sendsPing;
    private logger;
    private technology;
    constructor(gentEventsController: AgentEventsController);
    fillData(): void;
    build(): IAgentInstanceInfo;
    private fillFromAgentConfig;
    private fillFromProcessObject;
    private extractSealightsEnvVars;
    private resolveAgentVersion;
    private resolveAgentVersionForBrowserAgent;
}
